/*
 * 作成日: 2003/12/29
 *
 */
package openolap.viewer;

import java.io.Serializable;
import java.util.TreeMap;

/**
 * @author saka
 *
 */
public class Color implements Serializable {

	final private TreeMap axisIDAndMemberKeyMap;
	final private boolean isHeader;
	private String htmlColor  = null;
	
	// ********** コンストラクタ **********

	public Color(TreeMap axisIDAndMemberKeyMap, boolean isHeader, String htmlColor) {
		this.axisIDAndMemberKeyMap = axisIDAndMemberKeyMap;
		this.isHeader = isHeader;
		this.htmlColor = htmlColor;
	}


	// ********** Setter メソッド **********
	public void setHtmlColor(String htmlColor) {
		this.htmlColor = htmlColor;
	}

	// ********** Getter メソッド **********
	public TreeMap getAxisIDAndMemberKeyMap() {
		return axisIDAndMemberKeyMap;
	}
	public String getHtmlColor() {
		return htmlColor;
	}
	public boolean isHeader() {
		return isHeader;
	}

}
